# CYapfDestinationTileRoadT< Types > Class Template Reference

Inheritance diagram for CYapfDestinationTileRoadT< Types >:

## Public Types

typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::TrackFollower | TrackFollower
typedef Types::NodeList::Titem | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables

## Public Member Functions

void | SetDestination (const RoadVehicle *v)
FORCEINLINE bool | PfDetectDestination (Node &n)
| Called by YAPF to detect if node ends in the desired destination.
FORCEINLINE bool | PfDetectDestinationTile (TileIndex tile, Trackdir trackdir)
bool | PfCalcEstimate (Node &n)
| Called by YAPF to calculate cost estimate.

## Protected Member Functions

Tpf & | Yapf ()
| to access inherited path finder

## Protected Attributes

TileIndex | m_destTile
TrackdirBits | m_destTrackdirs
StationID | m_dest_station
bool | m_bus
bool | m_non_artic

## Detailed Description

### template<class Types>
class CYapfDestinationTileRoadT< Types >

Definition at line 199 of file yapf_road.cpp.

## Member Function Documentation

template<class Types >

bool CYapfDestinationTileRoadT< Types >::PfCalcEstimate | ( | Node & | n | ) | `[inline]`

Called by YAPF to calculate cost estimate.

Calculates distance to the destination adds it to the actual cost from origin and stores the sum to the Node::m_estimate

Definition at line 258 of file yapf_road.cpp.

References abs(), min(), CYapfDestinationTileRoadT< Types >::PfDetectDestination(), TileX(), TileY(), TrackdirToExitdir(), YAPF_TILE_CORNER_LENGTH, and YAPF_TILE_LENGTH.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_road.cpp